com.google.cloud.dataflow.sdk.testing

## Interface DataflowAssert.IterableAssert<T>

Enclosing class:
  DataflowAssert

    public static interface DataflowAssert.IterableAssert<T>

Builder interface for assertions applicable to iterables and PCollection contents.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`DataflowAssert.IterableAssert<T>` `containsInAnyOrder(Iterable<T> expectedElements)` Asserts that the iterable in question contains the provided elements.
`DataflowAssert.IterableAssert<T>` `containsInAnyOrder(T... expectedElements)` Asserts that the iterable in question contains the provided elements.
`DataflowAssert.IterableAssert<T>` `empty()` Asserts that the iterable in question is empty.
`Coder<T>` `getCoder()` Deprecated. instead call `PCollection.getCoder()` on the actual `PCollection` directly
`DataflowAssert.IterableAssert<T>` `inCombinedNonLatePanes(BoundedWindow window)` Creates a new `DataflowAssert.IterableAssert` like this one, but with the assertion restricted to only run on the provided window across all panes that were not produced by the arrival of late data.
`DataflowAssert.IterableAssert<T>` `inEarlyGlobalWindowPanes()` Creates a new `DataflowAssert.IterableAssert` like this one, but with the assertion restricted to only run on panes in the `GlobalWindow` that were emitted before the `GlobalWindow` closed.
`DataflowAssert.IterableAssert<T>` `inFinalPane(BoundedWindow window)` Creates a new `DataflowAssert.IterableAssert` like this one, but with the assertion restricted to only run on the provided window, running the checker only on the final pane for each key.
`DataflowAssert.IterableAssert<T>` `inOnTimePane(BoundedWindow window)` Creates a new `DataflowAssert.IterableAssert` like this one, but with the assertion restricted to only run on the provided window.
`DataflowAssert.IterableAssert<T>` `inWindow(BoundedWindow window)` Creates a new `DataflowAssert.IterableAssert` like this one, but with the assertion restricted to only run on the provided window.
`DataflowAssert.IterableAssert<T>` `satisfies(SerializableFunction<Iterable<T>,Void> checkerFn)` Applies the provided checking function (presumably containing assertions) to the iterable in question.
`DataflowAssert.IterableAssert<T>` `setCoder(Coder<T> coderOrNull)` Deprecated. instead call `PCollection.setCoder(Coder)` on the actual `PCollection` directly.

### Method Detail

#### setCoder

    @Deprecated
    DataflowAssert.IterableAssert<T> setCoder(Coder<T> coderOrNull)

Deprecated. instead call `PCollection.setCoder(Coder)` on the actual `PCollection` directly.
Sets the coder of the actual `PCollection`.

Returns:
  the same `DataflowAssert.IterableAssert` builder for further assertions

#### getCoder

    @Deprecated
    Coder<T> getCoder()

Deprecated. instead call `PCollection.getCoder()` on the actual `PCollection` directly
Returns the coder of the actual `PCollection`.

#### inWindow

    DataflowAssert.IterableAssert<T> inWindow(BoundedWindow window)

Creates a new `DataflowAssert.IterableAssert` like this one, but with the assertion restricted to only run on the provided window.

The assertion will concatenate all panes present in the provided window if the `Trigger` produces multiple panes. If the windowing strategy accumulates fired panes and triggers fire multple times, consider using instead `inFinalPane(BoundedWindow)` or `inOnTimePane(BoundedWindow)`.

Returns:
  a new `DataflowAssert.IterableAssert` like this one but with the assertion only applied to the specified window.

#### inFinalPane

    DataflowAssert.IterableAssert<T> inFinalPane(BoundedWindow window)

Creates a new `DataflowAssert.IterableAssert` like this one, but with the assertion restricted to only run on the provided window, running the checker only on the final pane for each key.

If the input `WindowingStrategy` does not always produce final panes, the assertion may be executed over an empty input even if the trigger has fired previously. To ensure that a final pane is always produced, set the `ClosingBehavior` of the windowing strategy (via `Window.Bound#withAllowedLateness(Duration, ClosingBehavior)` setting `ClosingBehavior` to `ClosingBehavior#FIRE_ALWAYS`).

Returns:
  a new `DataflowAssert.IterableAssert` like this one but with the assertion only applied to the specified window.

#### inOnTimePane

    DataflowAssert.IterableAssert<T> inOnTimePane(BoundedWindow window)

Creates a new `DataflowAssert.IterableAssert` like this one, but with the assertion restricted to only run on the provided window.

Returns:
  a new `DataflowAssert.IterableAssert` like this one but with the assertion only applied to the specified window.

#### inCombinedNonLatePanes

    DataflowAssert.IterableAssert<T> inCombinedNonLatePanes(BoundedWindow window)

Creates a new `DataflowAssert.IterableAssert` like this one, but with the assertion restricted to only run on the provided window across all panes that were not produced by the arrival of late data.

Returns:
  a new `DataflowAssert.IterableAssert` like this one but with the assertion only applied to the specified window.

#### inEarlyGlobalWindowPanes

    DataflowAssert.IterableAssert<T> inEarlyGlobalWindowPanes()

Creates a new `DataflowAssert.IterableAssert` like this one, but with the assertion restricted to only run on panes in the `GlobalWindow` that were emitted before the `GlobalWindow` closed. These panes have `Timing#EARLY`.

#### containsInAnyOrder

    DataflowAssert.IterableAssert<T> containsInAnyOrder(T... expectedElements)

Asserts that the iterable in question contains the provided elements.

Returns:
  the same `DataflowAssert.IterableAssert` builder for further assertions

#### containsInAnyOrder

    DataflowAssert.IterableAssert<T> containsInAnyOrder(Iterable<T> expectedElements)

Asserts that the iterable in question contains the provided elements.

Returns:
  the same `DataflowAssert.IterableAssert` builder for further assertions

#### empty

    DataflowAssert.IterableAssert<T> empty()

Asserts that the iterable in question is empty.

Returns:
  the same `DataflowAssert.IterableAssert` builder for further assertions

#### satisfies

    DataflowAssert.IterableAssert<T> satisfies(SerializableFunction<Iterable<T>,Void> checkerFn)

Applies the provided checking function (presumably containing assertions) to the iterable in question.

Returns:
  the same `DataflowAssert.IterableAssert` builder for further assertions